2019-08-25 02:52 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005378Spring engineLinuxpublic2016-10-22 10:30
Reportercleanrock 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0005378: std build errors with gcc 6.2.1
Description103.0.1-268-gd4744e6

rts/Rendering/GL/glExtra.cpp:93:30: error: ‘fabs’ is not a member of ‘std’
   for(int j = 0; j < rdiv && std::fabs(adjRadius - rad) + ydiff > .01 * rad; j++){
                              ^~~
rts/Rendering/GL/glExtra.cpp:234:20: error: ‘cos’ is not a member of ‘std’
    vertices[i].x = std::cos(i * ((PI + PI) / numDivs));
                    ^~~
rts/Rendering/GL/glExtra.cpp:235:20: error: ‘sin’ is not a member of ‘std’
    vertices[i].y = std::sin(i * ((PI + PI) / numDivs));
                    ^~~
test/engine/System/testThreadPool.cpp:126:21: error: ‘isinf’ is not a member of ‘std’
   SAFE_BOOST_CHECK(!std::isinf(s));
                     ^
test/engine/System/testThreadPool.cpp:127:21: error: ‘isnan’ is not a member of ‘std’
   SAFE_BOOST_CHECK(!std::isnan(s));
                     ^
Additional Informationworking patch:

$ git diff
diff --git a/rts/Rendering/GL/glExtra.cpp b/rts/Rendering/GL/glExtra.cpp
index cc27dca..b8525dd 100644
--- a/rts/Rendering/GL/glExtra.cpp
+++ b/rts/Rendering/GL/glExtra.cpp
@@ -7,6 +7,7 @@
 #include "Sim/Weapons/Weapon.h"
 #include "Sim/Weapons/WeaponDef.h"
 #include "System/ThreadPool.h"
+#include <cmath>
 
 /**
  * Draws a trigonometric circle in 'resolution' steps.
diff --git a/test/engine/System/testThreadPool.cpp b/test/engine/System/testThreadPool.cpp
index 9198b95..5cda1cf 100644
--- a/test/engine/System/testThreadPool.cpp
+++ b/test/engine/System/testThreadPool.cpp
@@ -6,6 +6,7 @@
 #include "System/UnsyncedRNG.h"
 #include <vector>
 #include <atomic>
+#include <cmath>
 
 #define BOOST_TEST_MODULE ThreadPool
 #include <boost/test/unit_test.hpp>
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016819

hokomoko (developer)

Fix b0974d8cc280afea13005f8b98231f8e161ea776 committed to develop branch: Fix 0005378, repo: spring changeset id: 7564
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-10-19 17:31 cleanrock New Issue
2016-10-22 10:30 hokomoko Changeset attached => spring develop b0974d8c
2016-10-22 10:30 hokomoko Note Added: 0016819
2016-10-22 10:30 hokomoko Assigned To => hokomoko
2016-10-22 10:30 hokomoko Status new => resolved
2016-10-22 10:30 hokomoko Resolution open => fixed
+Issue History